<c:with> | Standard JET2 Control Tags
--- | ---

with

Evaluate the tag body with the XPath context set to the result of the'select' XPath expression. The XPath context is restored to its previous value once the tag handler completes.

If the XPath expression selects multiple objects, the first object is used.

If the XPath expression selects no objects, then the body content block is not executed.

Optionally, an XPath variable may be set by providing a 'var' attribute. The variable is restored to its previous value or removed if not previously set once the tag handler completes.

Tag Summary
required | <c:with select="value"> content to process if tag condition is satisfied </c:with>
full tag | <c:with select="value" var="value"> content to process if tag condition is satisfied </c:with>

Required Attributes
select | An XPath expression that is evaluated to a single object.

Optional Attributes
var | An optional XPath variable name that will contain the result of the XPath expression.

Example
| <c:with select="value"> content to be written </c:with>